/* Barra de navegacion */
.navbar {

    padding: 2rem;
    background-color: #f5f6f7;
}

.navbar-collapse{

    align-items: center;
    justify-content: space-between;

}

section {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

/* Seccion Hero*/

.hero{
    background-color: #f5f6f7;
    /*min-height: 450px;*/
    text-align: center;
}

.hero-principal{
    padding: 2rem;
}

h2{
    font-size: 2.5rem;
    font-family: 'Rubik Dirt',cursive;
}

/*Seccion sobre RasNet CP*/

.seccion-oscura{
    color: white;
    background-color: #1b1b32;
}

.seccion-clara{
    color: black;
    background-color: white;
}

.seccion-titulo{
    font-size: 2rem;
    padding: 15px 0;
    font-family: 'Rubik Dirt',cursive;
}

.seccion-descripcion{
    font-size: 1.2rem;
    color: #584e4e;
}

.seccion-texto {
    font-size: 1.2rem;
}

.seccion-negro {
    color: black;
}

.seccion-blanco {
   color: white;
}

/*Seccion Sobre mi*/
.sobre-mi{
    height: 500px;
    padding: 10px;
}

.sobre-mi .contenedor {
    max-width: 600px;
    text-align: center;

}
/*  Experiencia */
.experiencia{
    padding: 40px 40px 60px 40px;
}
/*
.experiencia .row div {
    height: 250px;
    background-color: purple;
    border: 3px solid orange;
}

*/

.experiencia-titulo{
    font-size: 25px;
    font-weight: bold;
    margin: 10px 0;
}

.experiencia i{
    font-size: 2.5rem;
    color: #7ade30;
    background-color: #0a0a23;
    padding: 8px 19px;
    border-radius: 50%;
}

.experiencia .columna {
    padding:  20px;
    border: 2px solid #8080804d;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    transition: all 0.2s ease-in;
}

.experiencia .columna:hover{
    color: white;
    background-color: #1b1b32;
}

.badges-contenedor{
    font-size:  18px;
    font-weight: bold;
    margin: 10px 0;
}

.badges{
    margin: 5px;
}

/* PROYECTOS*/

.proyectos-recientes{
    padding: 40px;
}

.proyectos-recientes img{
    height: 100%;
    width: 100%;
    padding: 10px;
    border-radius: 10px;
    display: block;
    transition:  all 0.2s ease;
}

.proyectos-contenedor{
    padding-top: 60px;
    margin-bottom: 40px;
}

.overlay{
    transition:  all 0.2s ease;
    opacity: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    text-align: center;
}

.overlay p{
    font-size: 25px;
    font-weight: bold;
    margin-bottom: 0;
}

.proyecto {
    position: relative;
}

.proyecto:hover img{
    opacity: 0.2;
}

.proyecto:hover .overlay{
    opacity: 1;
}

/*
.overlay .iconos-contenedor{
    display: flex;
    text-align: center;
}
*/
.overlay i {
    color: black;
    font-size: 60px;
    margin: 10px;
}

/* Contacto */

.contacto .container {
    max-width: 1100px;
    min-width: 200px;
    padding: 20px;
}

.contacto-rectangulo {
    margin-top:  -5rem;
    background-color: rgb(13, 110, 253);
    border-radius: 10px;
    box-shadow: 0px 1px 4px 1px white;
}

.contacto .row{
    width:  100%;
    display: flex;
    align-items: center;
}

.contacto .descripcion{
    color: white;
    font-size: 1.2rem;
}

.contacto button{
    color: white;
    font-weight: bold;
    background-color: transparent;
    border: 2px solid white;
    padding: 1.25em 2em;
    margin: 10px;
    border-radius: 100px;
    transition: all 0.2s ease-in-out;
}

.contacto button:hover{
    background-color:white;
    color: black;

}

.contacto button i {
    color: white;
    font-size: 1.3rem;
    transition: all 0.2s ease-in-out;
}

.contacto button:hover i{
    color:black;

}

/* Pie Pagina */

.footer {
    min-height: 500px;
}

.footer-logo {
    height: 80px;
    width: 120px;
    margin: 10px;
}

.footer-texto {
    font-size: 1.5rem;
    padding: 20px;
    margin-bottom: 30px;
    font-family: 'Quicksand', sans-serif;
}

.iconos-redes-sociales a {
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2px;
    margin: 10px;
    border: 2px solid white;
    border-radius: 50%;
    transition: all 0.2s ease-in;
  }
  
  .iconos-redes-sociales i {
    color: white;
    font-size: 1.5rem;
    transition: all 0.2s ease-in;
  }
  
  .iconos-redes-sociales a:hover {
    background-color: white;
    border: 2px solid rgb(13, 110, 253);
  }
  
  .iconos-redes-sociales a:hover i {
    color: black;
  }
  
  .derechos-de-autor {
    font-size: 15px;
    color: #aeaeae;
    padding: 20px;
  }

/*Subir Flecha*/
.subir {
    position: fixed;
    width: 50px;
    height: 50px;
    background-color: #65513d;
    bottom: 40px;
    right: 50px;

    text-decoration: none;
    text-align: center;
    line-height: 50px;
    color: white;
    font-size: 22px;
}

/* Adaptable (Responsive)*/

@media screen and (max-width : 400px)
{
    .overlay p {
        font-size: 18px;
    }

    .overlay i {
        font-size: 40px;
    }
}

@media screen and (max-width : 767px){
    .navbar-brand{
        display: none;
    }
}

@media screen and (min-width : 700px) {
 .hero-inferior-imagen {
    max-width: 600px;    
 }   
}